Subject: [OPSEC] [Technical Errata Reported] RFC7707 (5175)

From: RFC Errata System <[email-masked]>
Date: Mon, 30 Oct 2017 00:16:45 -0700 (PDT)

The following errata report has been submitted for RFC7707,
"Network Reconnaissance in IPv6 Networks".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5175

--------------------------------------
Type: Technical
Reported by: Kevin Tyers <[email-masked]>

Section: 5.1.4.

Original Text
-------------
the response would
   contain an RCODE of 0 (no error).  Otherwise, the response would
   contain an RCODE of 4 (NXDOMAIN).

Corrected Text
--------------
the response would
   contain an RCODE of 0 (no error).  Otherwise, the response would
   contain an RCODE of 3 (NXDOMAIN).

Notes
-----
In RFC1035 section 4.1.1. it states that an RCODE of 3 is 'Name Error' aka NXDOMAIN. RCODE 4 is "Not Implemented". RFC 7707 incorrectly refers to NXDOMAIN as RCODE 4 instead of RCODE 3. 

Here is the output of testing this in Wireshark:
.... .... .... 0011 = Reply code: No such name (3)

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7707 (draft-ietf-opsec-ipv6-host-scanning-08)
--------------------------------------
Title               : Network Reconnaissance in IPv6 Networks
Publication Date    : March 2016
Author(s)           : F. Gont, T. Chown
Category            : INFORMATIONAL
Source              : Operational Security Capabilities for IP Network Infrastructure
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG